package com.sunxung.factoring.entity.financing.sop;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author liutao
 * @date 2022-11-15
 */
public class IncomExpenditurePlanApi {
    /**
     * 收支日期
     **/
    private Date incormExpenditureDate;
    /**
     * 收支类型，见字典项 IncomeExpenditureTypeDict
     **/
    private String incormExpenditureType;
    /**
     * 收款
     **/
    private BigDecimal receivables;
    /**
     * 放款
     **/
    private BigDecimal loan;
    /**
     * 最终现金流
     **/
    private BigDecimal finalCashFlow;
    /**
     * 收款主体:债权人creditor、债务人debtor
     **/
    private String receivingSubject;
    /**
     * 序号
     **/
    private Integer recordNo;

    public Date getIncormExpenditureDate() {
        return incormExpenditureDate;
    }

    public void setIncormExpenditureDate(Date incormExpenditureDate) {
        this.incormExpenditureDate = incormExpenditureDate;
    }

    public String getIncormExpenditureType() {
        return incormExpenditureType;
    }

    public void setIncormExpenditureType(String incormExpenditureType) {
        this.incormExpenditureType = incormExpenditureType;
    }

    public BigDecimal getReceivables() {
        return receivables;
    }

    public void setReceivables(BigDecimal receivables) {
        this.receivables = receivables;
    }

    public BigDecimal getLoan() {
        return loan;
    }

    public void setLoan(BigDecimal loan) {
        this.loan = loan;
    }

    public BigDecimal getFinalCashFlow() {
        return finalCashFlow;
    }

    public void setFinalCashFlow(BigDecimal finalCashFlow) {
        this.finalCashFlow = finalCashFlow;
    }

    public String getReceivingSubject() {
        return receivingSubject;
    }

    public void setReceivingSubject(String receivingSubject) {
        this.receivingSubject = receivingSubject;
    }

    public Integer getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(Integer recordNo) {
        this.recordNo = recordNo;
    }

    @Override
    public String toString() {
        return "IncomExpenditurePlanApi{" +
                "incormExpenditureDate=" + incormExpenditureDate +
                ", incormExpenditureType='" + incormExpenditureType + '\'' +
                ", receivables=" + receivables +
                ", loan=" + loan +
                ", finalCashFlow=" + finalCashFlow +
                ", receivingSubject='" + receivingSubject + '\'' +
                ", recordNo=" + recordNo +
                '}';
    }
}
